From 9f1793fd2dc92225991f9db5ec661af6f86206ca Mon Sep 17 00:00:00 2001
From: Martin Staffa <mjstaffa@gmail.com>
Date: Mon, 12 Feb 2018 12:26:32 +0100
Subject: [PATCH] chore(eslint): allow ES6 for node scripts

---
 .eslintrc-node.json | 9 +++++++--
 Gruntfile.js        | 1 +
 package.json        | 1 +
 yarn.lock           | 4 ++++
 4 files changed, 13 insertions(+), 2 deletions(-)

diff --git a/.eslintrc-node.json b/.eslintrc-node.json
index 643f345d88e0..c16a8a883837 100644
--- a/.eslintrc-node.json
+++ b/.eslintrc-node.json
@@ -1,8 +1,13 @@
 {
   "extends": "./.eslintrc-base.json",
-
   "env": {
     "browser": false,
     "node": true
-  }
+  },
+  "parserOptions": {
+    "ecmaVersion": 2017
+  },
+  "plugins": [
+    "promise"
+  ]
 }
diff --git a/Gruntfile.js b/Gruntfile.js
index 19732e7e1842..0d6dc6b956be 100644
--- a/Gruntfile.js
+++ b/Gruntfile.js
@@ -174,6 +174,7 @@ module.exports = function(grunt) {
           'docs/**/*.js',
           'lib/**/*.js',
           'scripts/**/*.js',
+          '!scripts/*/*/node_modules/**',
           'src/**/*.js',
           'test/**/*.js',
           'i18n/**/*.js',
diff --git a/package.json b/package.json
index 255b569f30a6..c82bb19a829f 100644
--- a/package.json
+++ b/package.json
@@ -34,6 +34,7 @@
     "cz-conventional-changelog": "1.1.4",
     "dgeni": "^0.4.0",
     "dgeni-packages": "^0.16.4",
+    "eslint-plugin-promise": "^3.6.0",
     "event-stream": "~3.1.0",
     "glob": "^6.0.1",
     "google-code-prettify": "1.0.1",
diff --git a/yarn.lock b/yarn.lock
index 62016649857b..f635a238b14d 100644
--- a/yarn.lock
+++ b/yarn.lock
@@ -1994,6 +1994,10 @@ escope@^3.6.0:
     esrecurse "^4.1.0"
     estraverse "^4.1.1"
 
+eslint-plugin-promise@^3.6.0:
+  version "3.6.0"
+  resolved "https://registry.yarnpkg.com/eslint-plugin-promise/-/eslint-plugin-promise-3.6.0.tgz#54b7658c8f454813dc2a870aff8152ec4969ba75"
+
 eslint@^3.0.0:
   version "3.15.0"
   resolved "https://registry.yarnpkg.com/eslint/-/eslint-3.15.0.tgz#bdcc6a6c5ffe08160e7b93c066695362a91e30f2"
